• problems installing libcurl-openssl-1.0, PGP verification fails


    Hi guys,
    I’m having problems with this library, it seems to be needed to update spotify in order to build libopenssl-1.0-compat.
    So as soon as I go ahead with the automatic installation trough the software update tool , I get this:

    incronizando con las bases de datos...
    Actualizando antergos...
    
    Comenzando la actualización completa del sistema...
    Preparando...
    
    Construyendo libopenssl-1.0-compat...
    Cloning into 'libopenssl-1.0-compat'...
    remote: Counting objects: 18, done.        
    remote: Compressing objects: 100% (13/13), done.        
    remote: Total 18 (delta 5), reused 18 (delta 5)        
    Unpacking objects: 100% (18/18), done.
    ==> Creando el paquete: libopenssl-1.0-compat 1.0.2.k-3 (jue abr 27 19:16:13 CEST 2017)
    ==> Comprobando dependencias mientras se ejecuta…
    ==> Comprobando dependencias mientras se compila…
    ==> Recibiendo las fuentes…
      -> Descargando openssl-1.0.2k.tar.gz…
      % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                     Dload  Upload   Total   Spent    Left  Speed
    100 5184k  100 5184k    0     0  1413k      0  0:00:03  0:00:03 --:--:-- 1413k
      -> Descargando openssl-1.0.2k.tar.gz.asc…
      % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                     Dload  Upload   Total   Spent    Left  Speed
    100   455  100   455    0     0   2291      0 --:--:-- --:--:-- --:--:--  2297
      -> no-rpath.patch ha sido encontrado 
      -> ssl3-test-failure.patch ha sido encontrado 
    ==> Validando los archivos source con sha256sums…
        openssl-1.0.2k.tar.gz ... Aprobado
        openssl-1.0.2k.tar.gz.asc ... Omitido
        no-rpath.patch ... Aprobado
        ssl3-test-failure.patch ... Aprobado
    ==> Verificando las firmas de las fuentes con gpg…
        openssl-1.0.2k.tar.gz ... HA FALLADO (clave pública desconocida D9C4D26D0E604491)
    ==> ERROR: ¡Una o más firmas PGP no pudieron ser verificadas!
    

    The problem here looks like openssl-1.0.2k.tar.gz has failed to install because of the unknown public key D9C4D26D0E604491, therefore it can’t be installed.

    Please, could you help me to fix it? I’m pretty new in linux/antergos enviroment so any help would be appreciated.

    Thank you in advance.

    Cheers!

  • I have the same problem.

  • That worked properly. Thank you!!

pgp15 openssl3 libcurl1 Posts 4Views 2729
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.